#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    double L, R, p, q, r, i, j, n, f, N, prvi;
    cin >> p >> q >> r >> L >> R;
    N = 0;
    for(i = L; i <= R; i++)
    {
        n = ceil(i/p);
        j = ceil(i/q);
        f = ceil(i/r);
        if((n+j+f)<=i)
        {
            N++;
        }
    }
    cout << N;
    return 0;
}